Subject: Re: [GIT PULL] retire legacy WR sbc8548 and sbc8641 platforms

From: Paul Gortmaker <[email-masked]>
Date: Wed, 1 Sep 2021 15:51:21 -0400

[Re: [GIT PULL] retire legacy WR sbc8548 and sbc8641 platforms] On 27/08/2021 (Fri 01:05) Michael Ellerman wrote:

> Paul Gortmaker <[email-masked]> writes:
> > This is unchanged from the original wr_sbc-delete branch sent in January,
> > other than to add the Acks from Scott in July, and update the baseline.
> >
> > Built with ppc64 defconfig and mpc85xx_cds_defconfig and mpc86xx_defconfig
> > just to make sure I didn't fat finger anything in the baseline update.
> 
> Thanks for following up on this.
> 
> I ended up cherry-picking the patches into my branch. I like to keep my
> next based on rc2, and merging this would have pulled in everything up
> to rc7 into my branch.
> 
> I don't think you were planning to merge this branch anywhere else, so
> it shouldn't make any difference, but let me know if it's a problem.

That is 100% fine - as you guessed, it is a dead end branch, and there is
no real underlying value in preserving the baseline for removals like this.

Thanks!
Paul.
--

> 
> It should appear here soon:
> 
>   https://git.kernel.org/pub/scm/linux/kernel/git/powerpc/linux.git/log/?h=next
> 
> 
> cheers
>  
> 
> > Original v1 text follows below, from:
> >
> > https://lore.kernel.org/lkml/[email-masked]
> >
> > It would be nice to get this in and off our collective to-do list.
> >
> > Thanks,
> > Paul.
> >
> >   ---
> >
> > In v2.6.27 (2008, 917f0af9e5a9) the sbc8260 support was implicitly
> > retired by not being carried forward through the ppc --> powerpc
> > device tree transition.
> >
> > Then, in v3.6 (2012, b048b4e17cbb) we retired the support for the
> > sbc8560 boards.
> >
> > Next, in v4.18 (2017, 3bc6cf5a86e5) we retired the support for the
> > 2006 vintage sbc834x boards.
> >
> > The sbc8548 and sbc8641d boards were maybe 1-2 years newer than the
> > sbc834x boards, but it is also 3+ years later, so it makes sense to
> > now retire them as well - which is what is done here.
> >
> > These two remaining WR boards were based on the Freescale MPC8548-CDS
> > and the MPC8641D-HPCN reference board implementations.  Having had the
> > chance to use these and many other Fsl ref boards, I know this:  The
> > Freescale reference boards were typically produced in limited quantity
> > and primarily available to BSP developers and hardware designers, and
> > not likely to have found a 2nd life with hobbyists and/or collectors.
> >
> > It was good to have that BSP code subjected to mainline review and
> > hence also widely available back in the day. But given the above, we
> > should probably also be giving serious consideration to retiring
> > additional similar age/type reference board platforms as well.
> >
> > I've always felt it is important for us to be proactive in retiring
> > old code, since it has a genuine non-zero carrying cost, as described
> > in the 930d52c012b8 merge log.  But for the here and now, we just
> > clean up the remaining BSP code that I had added for SBC platforms.
> >
> > --- 
> >
> > The following changes since commit e22ce8eb631bdc47a4a4ea7ecf4e4ba499db4f93:
> >
> >   Linux 5.14-rc7 (2021-08-22 14:24:56 -0700)
> >
> > are available in the Git repository at:
> >
> >   git://git.kernel.org/pub/scm/linux/kernel/git/paulg/linux.git wr_sbc-delete-v2
> >
> > for you to fetch changes up to d44e2dc12ea2112e74cdd25090eeda2727ed09cc:
> >
> >   MAINTAINERS: update for Paul Gortmaker (2021-08-24 08:19:01 -0400)
> >
> > ----------------------------------------------------------------
> > Paul Gortmaker (3):
> >       powerpc: retire sbc8548 board support
> >       powerpc: retire sbc8641d board support
> >       MAINTAINERS: update for Paul Gortmaker
> >
> >  MAINTAINERS                                 |   1 -
> >  arch/powerpc/boot/Makefile                  |   1 -
> >  arch/powerpc/boot/dts/fsl/sbc8641d.dts      | 176 -----------------
> >  arch/powerpc/boot/dts/sbc8548-altflash.dts  | 111 -----------
> >  arch/powerpc/boot/dts/sbc8548-post.dtsi     | 289 ----------------------------
> >  arch/powerpc/boot/dts/sbc8548-pre.dtsi      |  48 -----
> >  arch/powerpc/boot/dts/sbc8548.dts           | 106 ----------
> >  arch/powerpc/boot/wrapper                   |   2 +-
> >  arch/powerpc/configs/85xx/sbc8548_defconfig |  50 -----
> >  arch/powerpc/configs/mpc85xx_base.config    |   1 -
> >  arch/powerpc/configs/mpc86xx_base.config    |   1 -
> >  arch/powerpc/configs/ppc6xx_defconfig       |   1 -
> >  arch/powerpc/platforms/85xx/Kconfig         |   6 -
> >  arch/powerpc/platforms/85xx/Makefile        |   1 -
> >  arch/powerpc/platforms/85xx/sbc8548.c       | 134 -------------
> >  arch/powerpc/platforms/86xx/Kconfig         |   8 +-
> >  arch/powerpc/platforms/86xx/Makefile        |   1 -
> >  arch/powerpc/platforms/86xx/sbc8641d.c      |  87 ---------
> >  18 files changed, 2 insertions(+), 1022 deletions(-)
> >  delete mode 100644 arch/powerpc/boot/dts/fsl/sbc8641d.dts
> >  delete mode 100644 arch/powerpc/boot/dts/sbc8548-altflash.dts
> >  delete mode 100644 arch/powerpc/boot/dts/sbc8548-post.dtsi
> >  delete mode 100644 arch/powerpc/boot/dts/sbc8548-pre.dtsi
> >  delete mode 100644 arch/powerpc/boot/dts/sbc8548.dts
> >  delete mode 100644 arch/powerpc/configs/85xx/sbc8548_defconfig
> >  delete mode 100644 arch/powerpc/platforms/85xx/sbc8548.c
> >  delete mode 100644 arch/powerpc/platforms/86xx/sbc8641d.c